<?php
	// subir el documento firmado
	$d = new DOMDocument('1.0','UTF-8');
	$xmlFile = 'AttachedDocumentSigned.xml';
	$d->load($xmlFile);
	// buscar la etiqueta keyinfo
	$KeyInfoTag = $d->getElementsByTagName("KeyInfo")[0];
	// canonicalizar
	$KeyInfoTagCan = $KeyInfoTag->C14N();
	// comparar: el resultado de $KeyInfoTagCan debe ser igual a la etiqueta KeyInfo usada para generar el valor de digerido ($keyInfoWithShemas en clase Firmador) ; 
?>